package com.landray.kmss.sys.attachment.io;

import java.io.FileOutputStream;
import java.io.FileInputStream;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.io.InputStream;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;

public class IOUtil
{
    private static Logger logger;
    public static final int defaultBufSize = 1024;
    
    static {
        IOUtil.logger = LoggerFactory.getLogger(IOUtil.class);
    }
    
    public static void write(final InputStream in, final OutputStream out) throws IOException {
        write(in, out, 0);
    }
    
    public static void write(final InputStream in, final OutputStream out, final int bufSize) throws IOException {
        if (in == null || out == null) {
            return;
        }
        try {
            final int _bufSize = (bufSize != 0) ? bufSize : 1024;
            final byte[] buffer = new byte[_bufSize];
            int len;
            while ((len = in.read(buffer)) != -1) {
                out.write(buffer, 0, len);
            }
        }
        finally {
            if (in != null) {
                try {
                    in.close();
                }
                catch (final Exception ex) {}
            }
            if (out != null) {
                try {
                    out.flush();
                }
                catch (final Exception ex2) {}
                try {
                    out.close();
                }
                catch (final Exception ex3) {}
            }
        }
        if (in != null) {
            try {
                in.close();
            }
            catch (final Exception ex4) {}
        }
        if (out != null) {
            try {
                out.flush();
            }
            catch (final Exception ex5) {}
            try {
                out.close();
            }
            catch (final Exception ex6) {}
        }
    }
    
    public static void main(final String[] args) throws Exception {
        File from = new File("d:/temp/1.txt");
        File to = new File("d:/temp/2.txt");
        if (!to.exists()) {
            to.createNewFile();
        }
        write(new EncryptionInputStream(new FileInputStream(from)), new FileOutputStream(to));
        from = new File("d:/temp/2.txt");
        to = new File("d:/temp/3.txt");
        if (!to.exists()) {
            to.createNewFile();
        }
        write(new DecryptionInputStream(new FileInputStream(from)), new FileOutputStream(to));
        IOUtil.logger.info("完成");
    }
}
